<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
                <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
                <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">APP说明</label>
                    <div class="layui-input-block">
                        <textarea name="appSummary" placeholder="请输入APP说明" maxlength="255" class="layui-textarea" rows="4"></textarea>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">强制更新 *</label>
                    <div class="layui-input-block">
                        <input type="radio" name="isNecessary" value="0" title="否" checked>
                        <input type="radio" name="isNecessary" value="1" title="是">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">是否发布 *</label>
                    <div class="layui-input-block">
                        <input type="radio" name="isRelease" value="0" title="否" checked>
                        <input type="radio" name="isRelease" value="1" title="是">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">APP文件 *</label>
                    <div class="layui-input-block">
                        <input type="hidden" id="appFile" name="appFile">
                        <span id="appFileBox"></span>
                        <button type="button" class="layui-btn" lay-form-button lay-filter="uploadFile">
                            <i class="fa fa-cloud-upload"></i> 上传APP
                        </button>
                    </div>
                </div>

                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交编辑</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script id="appFileDownload" type="text/html">
        {{# if(d.appFile != '') { }}
        <span class="layui-btn-group">
            <a class="layui-btn layui-btn-normal" href="route/file/download/false/{{d.appFile}}" target="_blank">点击下载此文件</a>
            <a class="layui-btn layui-btn-danger text-danger" href="javascript:void(0);" lay-form-button lay-filter="removeAppFile">删除</a>
        </span>
        {{# } }}
    </script>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var appVersionId = top.restAjax.params(window.location.href).appVersionId;
        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }
        // 初始化
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/appversion/get/{appVersionId}', [appVersionId]), {}, null, function(code, data) {
                form.val('dataForm', {
                    appSummary: data.appSummary,
                    isNecessary: data.isNecessary
                });
                form.render(null, 'dataForm');
            }, function(code, data) {
                top.DialogBox.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/appversion/update/{appVersionId}', [appVersionId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.commitSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });
        function refreshAppDownloadTemplet(appFile) {
            form.val('dataForm', {
                appFile: appFile
            });
            laytpl(document.getElementById('appFileDownload').innerHTML).render({
                appFile: $('#appFile').val()
            }, function(html) {
                document.getElementById('appFileBox').innerHTML = html;
            });
        }
        form.on('button(removeAppFile)', function(obj) {
            refreshAppDownloadTemplet(null);
        });
        form.on('button(uploadFile)', function(obj) {
            top.dialog.file({
                type: 'file',
                title: '上传APP',
                width: '400px',
                height: '420px',
                maxFileCount: '1',
                onClose: function() {
                    var uploadFileArray = top.dialog.dialogData.uploadFileArray;
                    if(typeof(uploadFileArray) != 'undefined' && uploadFileArray.length > 0) {
                        refreshAppDownloadTemplet(uploadFileArray[0].data);
                    }
                }
            });
        })
        $('.close').on('click', function() {
            closeBox();
        });
    });
</script>
</body>
</html>